<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionPrefabObject Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/dfb/a04509.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionPrefabObject Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionPrefabObject:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/dfb/a04509.png" usemap="#ExpansionPrefabObject_map" alt=""/>
  <map id="ExpansionPrefabObject_map" name="ExpansionPrefabObject_map">
<area href="../../d7/d43/a04505.html" alt="ExpansionPrefab" shape="rect" coords="0,112,145,136"/>
<area href="../../de/dc5/a04521.html" alt="ExpansionSceneObject" shape="rect" coords="155,112,300,136"/>
<area href="../../d8/df9/a04517.html" alt="ExpansionScene" shape="rect" coords="155,168,300,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8d7cd756fb6d34a03e6a9bdeda7b003b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a8d7cd756fb6d34a03e6a9bdeda7b003b">BeginAttachment</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> slotName=&quot;&quot;)</td></tr>
<tr class="separator:a8d7cd756fb6d34a03e6a9bdeda7b003b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d81ed48c55324f6e47027a4c42e3b78"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a8d81ed48c55324f6e47027a4c42e3b78">FindAttachments</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> slotName, out array&lt; ref <a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> &gt; items)</td></tr>
<tr class="separator:a8d81ed48c55324f6e47027a4c42e3b78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a749f626d5707614ad5d73346f8247939"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a749f626d5707614ad5d73346f8247939">InsertAttachments</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> slotName, array&lt; ref <a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> &gt; items)</td></tr>
<tr class="separator:a749f626d5707614ad5d73346f8247939"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47fb0645365e9628a55c2ae0006a424b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a47fb0645365e9628a55c2ae0006a424b">BeginCargo</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a47fb0645365e9628a55c2ae0006a424b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae575b984ab89888aa300413ac4ad3cf1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#ae575b984ab89888aa300413ac4ad3cf1">BeginSet</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> setName=&quot;&quot;)</td></tr>
<tr class="separator:ae575b984ab89888aa300413ac4ad3cf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9c15551dda6bde7fb9eb2d4c10a27ad"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#ae9c15551dda6bde7fb9eb2d4c10a27ad">End</a> ()</td></tr>
<tr class="separator:ae9c15551dda6bde7fb9eb2d4c10a27ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15811e0a2096def744aa1f49746b878b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a15811e0a2096def744aa1f49746b878b">SetQuantity</a> (int quantityMin, int quantityMax=0)</td></tr>
<tr class="separator:a15811e0a2096def744aa1f49746b878b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53b77a5bdabcd123e6a6650ec87f424b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a53b77a5bdabcd123e6a6650ec87f424b">SetHealth</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> zone, float healthMin, float healthMax=0.0)</td></tr>
<tr class="separator:a53b77a5bdabcd123e6a6650ec87f424b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39c04db23ffd6ed6314dcca7a9491d98"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a39c04db23ffd6ed6314dcca7a9491d98">SetHealth</a> (float healthMin, float healthMax=0.0)</td></tr>
<tr class="separator:a39c04db23ffd6ed6314dcca7a9491d98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b5aed8b275faed0893e7cde18cfd775"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a3b5aed8b275faed0893e7cde18cfd775">FindHealth</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> zone, out <a class="el" href="../../de/d47/a04501.html">ExpansionHealth</a> health)</td></tr>
<tr class="separator:a3b5aed8b275faed0893e7cde18cfd775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcdb060d0149e9905d7d3606622251e2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#afcdb060d0149e9905d7d3606622251e2">InsertHealth</a> (<a class="el" href="../../de/d47/a04501.html">ExpansionHealth</a> health)</td></tr>
<tr class="separator:afcdb060d0149e9905d7d3606622251e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e4020623b45d7161e516e54019dfc3d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a1e4020623b45d7161e516e54019dfc3d">SetPartConstructed</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> part)</td></tr>
<tr class="separator:a1e4020623b45d7161e516e54019dfc3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ff4735e14f08fb191440101e0efc562"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a9ff4735e14f08fb191440101e0efc562">GetPath</a> ()</td></tr>
<tr class="separator:a9ff4735e14f08fb191440101e0efc562"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a986aa86a3d1beea6091cd0ef604f75b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a986aa86a3d1beea6091cd0ef604f75b1">Save</a> ()</td></tr>
<tr class="separator:a986aa86a3d1beea6091cd0ef604f75b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d6e1e62e394d0a7ac498beb7b0e67fd"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a8d6e1e62e394d0a7ac498beb7b0e67fd">CanSpawn</a> ()</td></tr>
<tr class="separator:a8d6e1e62e394d0a7ac498beb7b0e67fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af67358406f9f25817db9f3e2c170ffd9"><td class="memItemLeft" align="right" valign="top">Object&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#af67358406f9f25817db9f3e2c170ffd9">Spawn</a> (Object self, bool ignoreCargo=false)</td></tr>
<tr class="separator:af67358406f9f25817db9f3e2c170ffd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ce8a4391d5092cddf7e8c679876be5a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a8ce8a4391d5092cddf7e8c679876be5a">FillCar</a> (Car car, CarFluid fluid)</td></tr>
<tr class="separator:a8ce8a4391d5092cddf7e8c679876be5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a905298360ead4e50f2dd1e757c8320bf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a905298360ead4e50f2dd1e757c8320bf">ClassName</a> = &quot;&quot;</td></tr>
<tr class="separator:a905298360ead4e50f2dd1e757c8320bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cfdfd799a9f87a3604846ff32293245"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a7cfdfd799a9f87a3604846ff32293245">Chance</a> = 1.0</td></tr>
<tr class="separator:a7cfdfd799a9f87a3604846ff32293245"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad77617a24bc7cdf67027ca7e61b9cbf2"><td class="memItemLeft" align="right" valign="top">autoptr <a class="el" href="../../dc/dd8/a04497.html">ExpansionMinMax</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#ad77617a24bc7cdf67027ca7e61b9cbf2">Quantity</a> = new <a class="el" href="../../dc/dd8/a04497.html">ExpansionMinMax</a>(0, 0)</td></tr>
<tr class="separator:ad77617a24bc7cdf67027ca7e61b9cbf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a26febb0d8439c16441d44905e4bc34"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; ref <a class="el" href="../../de/d47/a04501.html">ExpansionHealth</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a9a26febb0d8439c16441d44905e4bc34">Health</a> = new array&lt;ref <a class="el" href="../../de/d47/a04501.html">ExpansionHealth</a>&gt;</td></tr>
<tr class="separator:a9a26febb0d8439c16441d44905e4bc34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a435f5983e7ae7571c947df043bac5b38"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; ref <a class="el" href="../../d3/d13/a04513.html">ExpansionPrefabSlot</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a435f5983e7ae7571c947df043bac5b38">InventoryAttachments</a> = new array&lt;ref <a class="el" href="../../d3/d13/a04513.html">ExpansionPrefabSlot</a>&gt;()</td></tr>
<tr class="separator:a435f5983e7ae7571c947df043bac5b38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85d15f55fba3d31d5eb9ba7f23945088"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; ref <a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a85d15f55fba3d31d5eb9ba7f23945088">InventoryCargo</a> = new array&lt;ref <a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&gt;()</td></tr>
<tr class="separator:a85d15f55fba3d31d5eb9ba7f23945088"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39a457eb913b44698b01644803167831"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#a39a457eb913b44698b01644803167831">ConstructionPartsBuilt</a> = new array&lt;<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&gt;()</td></tr>
<tr class="separator:a39a457eb913b44698b01644803167831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add46438ea2489fb78c06e3775775258d"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; ref <a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dfb/a04509.html#add46438ea2489fb78c06e3775775258d">Sets</a> = new array&lt;ref <a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&gt;()</td></tr>
<tr class="separator:add46438ea2489fb78c06e3775775258d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00001">1</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a8d7cd756fb6d34a03e6a9bdeda7b003b" name="a8d7cd756fb6d34a03e6a9bdeda7b003b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d7cd756fb6d34a03e6a9bdeda7b003b">&#9670;&#160;</a></span>BeginAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> ExpansionPrefabObject::BeginAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>slotName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00027">27</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a47fb0645365e9628a55c2ae0006a424b" name="a47fb0645365e9628a55c2ae0006a424b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47fb0645365e9628a55c2ae0006a424b">&#9670;&#160;</a></span>BeginCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> ExpansionPrefabObject::BeginCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00075">75</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="ae575b984ab89888aa300413ac4ad3cf1" name="ae575b984ab89888aa300413ac4ad3cf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae575b984ab89888aa300413ac4ad3cf1">&#9670;&#160;</a></span>BeginSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> ExpansionPrefabObject::BeginSet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>setName</em> = <code>&quot;&quot;</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00086">86</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a8d6e1e62e394d0a7ac498beb7b0e67fd" name="a8d6e1e62e394d0a7ac498beb7b0e67fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d6e1e62e394d0a7ac498beb7b0e67fd">&#9670;&#160;</a></span>CanSpawn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionPrefabObject::CanSpawn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00176">176</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="ae9c15551dda6bde7fb9eb2d4c10a27ad" name="ae9c15551dda6bde7fb9eb2d4c10a27ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9c15551dda6bde7fb9eb2d4c10a27ad">&#9670;&#160;</a></span>End()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> ExpansionPrefabObject::End </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00097">97</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a8ce8a4391d5092cddf7e8c679876be5a" name="a8ce8a4391d5092cddf7e8c679876be5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ce8a4391d5092cddf7e8c679876be5a">&#9670;&#160;</a></span>FillCar()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPrefabObject::FillCar </td>
          <td>(</td>
          <td class="paramtype">Car&#160;</td>
          <td class="paramname"><em>car</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CarFluid&#160;</td>
          <td class="paramname"><em>fluid</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00393">393</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a8d81ed48c55324f6e47027a4c42e3b78" name="a8d81ed48c55324f6e47027a4c42e3b78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d81ed48c55324f6e47027a4c42e3b78">&#9670;&#160;</a></span>FindAttachments()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionPrefabObject::FindAttachments </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>slotName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out array&lt; ref <a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> &gt;&#160;</td>
          <td class="paramname"><em>items</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00045">45</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a3b5aed8b275faed0893e7cde18cfd775" name="a3b5aed8b275faed0893e7cde18cfd775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b5aed8b275faed0893e7cde18cfd775">&#9670;&#160;</a></span>FindHealth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionPrefabObject::FindHealth </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>zone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../de/d47/a04501.html">ExpansionHealth</a>&#160;</td>
          <td class="paramname"><em>health</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00131">131</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a9ff4735e14f08fb191440101e0efc562" name="a9ff4735e14f08fb191440101e0efc562"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ff4735e14f08fb191440101e0efc562">&#9670;&#160;</a></span>GetPath()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionPrefabObject::GetPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00165">165</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a749f626d5707614ad5d73346f8247939" name="a749f626d5707614ad5d73346f8247939"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a749f626d5707614ad5d73346f8247939">&#9670;&#160;</a></span>InsertAttachments()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPrefabObject::InsertAttachments </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>slotName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">array&lt; ref <a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> &gt;&#160;</td>
          <td class="paramname"><em>items</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00059">59</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="afcdb060d0149e9905d7d3606622251e2" name="afcdb060d0149e9905d7d3606622251e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcdb060d0149e9905d7d3606622251e2">&#9670;&#160;</a></span>InsertHealth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPrefabObject::InsertHealth </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d47/a04501.html">ExpansionHealth</a>&#160;</td>
          <td class="paramname"><em>health</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00145">145</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a986aa86a3d1beea6091cd0ef604f75b1" name="a986aa86a3d1beea6091cd0ef604f75b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a986aa86a3d1beea6091cd0ef604f75b1">&#9670;&#160;</a></span>Save()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPrefabObject::Save </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00171">171</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a39c04db23ffd6ed6314dcca7a9491d98" name="a39c04db23ffd6ed6314dcca7a9491d98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39c04db23ffd6ed6314dcca7a9491d98">&#9670;&#160;</a></span>SetHealth() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> ExpansionPrefabObject::SetHealth </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>healthMin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>healthMax</em> = <code>0.0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00123">123</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a53b77a5bdabcd123e6a6650ec87f424b" name="a53b77a5bdabcd123e6a6650ec87f424b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53b77a5bdabcd123e6a6650ec87f424b">&#9670;&#160;</a></span>SetHealth() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> ExpansionPrefabObject::SetHealth </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>zone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>healthMin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>healthMax</em> = <code>0.0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00115">115</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a1e4020623b45d7161e516e54019dfc3d" name="a1e4020623b45d7161e516e54019dfc3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e4020623b45d7161e516e54019dfc3d">&#9670;&#160;</a></span>SetPartConstructed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> ExpansionPrefabObject::SetPartConstructed </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>part</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00158">158</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a15811e0a2096def744aa1f49746b878b" name="a15811e0a2096def744aa1f49746b878b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15811e0a2096def744aa1f49746b878b">&#9670;&#160;</a></span>SetQuantity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a> ExpansionPrefabObject::SetQuantity </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>quantityMin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>quantityMax</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00108">108</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="af67358406f9f25817db9f3e2c170ffd9" name="af67358406f9f25817db9f3e2c170ffd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af67358406f9f25817db9f3e2c170ffd9">&#9670;&#160;</a></span>Spawn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Object ExpansionPrefabObject::Spawn </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ignoreCargo</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Make sure ammo pile has at least one bullet</p>
<p >Cargo from root of any set needs to be spawned last so that cargo containers (e.g. clothing) added via attachments are already there</p>
<p >Select sets by chance</p>
<p >Spawn sets in random order</p>
<p >If set is named, will only spawn one per unique name</p>
<p >Select attachments by chance</p>
<p >Spawn candidate attachments in random order. If no valid inventory slot given, spawn all candidates.</p>
<p >Select cargo by chance</p>
<p >Spawn candidate cargo in random order</p>

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00184">184</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a7cfdfd799a9f87a3604846ff32293245" name="a7cfdfd799a9f87a3604846ff32293245"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cfdfd799a9f87a3604846ff32293245">&#9670;&#160;</a></span>Chance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionPrefabObject::Chance = 1.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00007">7</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a905298360ead4e50f2dd1e757c8320bf" name="a905298360ead4e50f2dd1e757c8320bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a905298360ead4e50f2dd1e757c8320bf">&#9670;&#160;</a></span>ClassName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionPrefabObject::ClassName = &quot;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00004">4</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a39a457eb913b44698b01644803167831" name="a39a457eb913b44698b01644803167831"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39a457eb913b44698b01644803167831">&#9670;&#160;</a></span>ConstructionPartsBuilt</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt;<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&gt; ExpansionPrefabObject::ConstructionPartsBuilt = new array&lt;<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00022">22</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a9a26febb0d8439c16441d44905e4bc34" name="a9a26febb0d8439c16441d44905e4bc34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a26febb0d8439c16441d44905e4bc34">&#9670;&#160;</a></span>Health</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt;ref <a class="el" href="../../de/d47/a04501.html">ExpansionHealth</a>&gt; ExpansionPrefabObject::Health = new array&lt;ref <a class="el" href="../../de/d47/a04501.html">ExpansionHealth</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00013">13</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a435f5983e7ae7571c947df043bac5b38" name="a435f5983e7ae7571c947df043bac5b38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a435f5983e7ae7571c947df043bac5b38">&#9670;&#160;</a></span>InventoryAttachments</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt;ref <a class="el" href="../../d3/d13/a04513.html">ExpansionPrefabSlot</a>&gt; ExpansionPrefabObject::InventoryAttachments = new array&lt;ref <a class="el" href="../../d3/d13/a04513.html">ExpansionPrefabSlot</a>&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00016">16</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="a85d15f55fba3d31d5eb9ba7f23945088" name="a85d15f55fba3d31d5eb9ba7f23945088"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85d15f55fba3d31d5eb9ba7f23945088">&#9670;&#160;</a></span>InventoryCargo</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt;ref <a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&gt; ExpansionPrefabObject::InventoryCargo = new array&lt;ref <a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00019">19</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="ad77617a24bc7cdf67027ca7e61b9cbf2" name="ad77617a24bc7cdf67027ca7e61b9cbf2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad77617a24bc7cdf67027ca7e61b9cbf2">&#9670;&#160;</a></span>Quantity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr <a class="el" href="../../dc/dd8/a04497.html">ExpansionMinMax</a> ExpansionPrefabObject::Quantity = new <a class="el" href="../../dc/dd8/a04497.html">ExpansionMinMax</a>(0, 0)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00010">10</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<a id="add46438ea2489fb78c06e3775775258d" name="add46438ea2489fb78c06e3775775258d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add46438ea2489fb78c06e3775775258d">&#9670;&#160;</a></span>Sets</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt;ref <a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&gt; ExpansionPrefabObject::Sets = new array&lt;ref <a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a>&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dbc/a01004_source.html#l00025">25</a> of file <a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/prefab/<a class="el" href="../../df/dbc/a01004_source.html">expansionprefabobject.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
